Delete API key
curl --request DELETE \
--url https://api.basic.tech/project/{id}/key/{key_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.basic.tech/project/{id}/key/{key_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.basic.tech/project/{id}/key/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>"
}API Keys
Delete API key
Permanently deletes an API key from the project. This action cannot be undone.
DELETE
/
project
/
{id}
/
key
/
{key_id}
Delete API key
Authorizations
bearerAuthapiKeyAuth
JWT Authorization Token header using the Bearer scheme
Path Parameters
Unique identifier of the project
Unique identifier of the API key to delete
Response
API key deleted successfully
API key deleted successfully
⌘I

